AMRMTAPE(8)

NAME
amrmtape - remove a tape from the Amanda database

SYNOPSIS

amrmtape [--changer changer-name] [--cleanup] [--dryrun] [-n] [--erase] [--external-copy] [--keep-label] [--list-retention] [--list-no-retention] [--remove-no-retention] [--quiet] [-q] [--verbose] [-v] config [label]*

DESCRIPTION

Amrmtape invalidates the contents of an existing backup tape in the configuration database. This is meant as a recovery mechanism when a good backup is damaged either by faulty hardware or user error, e.g. the tape is eaten by the drive or is overwritten.

See the amanda(8) man page for more details about Amanda.

OPTIONS

--changer changer-name
    Specify which changer to use when erasing label

--cleanup
    Remove logs and indexes associated with label. Otherwise, they'll remain until the next run of amdump.

--dryrun, -n
    Generate new tapelist(5) and database files with label removed, but leave them in /tmp and do not update the original copies.

--erase
    Attempt to erase the data contained on the volume with the given label. This requires that Amanda be able to find that volume using the tape changer. Erasure is not supported by all Amanda devices, and the erasure is not "secure" in the sense that the data can most likely be recovered by someone with the right tools.

--external-copy
    The volume is erased but the label is kept in the tapelist and the log file. This function must be used if you manually made a copy of the volume that you can manually restore.

    You should also mark the label as noreuse.

--keep-label
    Do not remove label from the tapelist. The volume become like a new labelled tape and can be reused by any storage using the same tape-pool.

--list-retention
    List all labels that are required for the policy of each storage.

--list-no-retention
    List all labels that are not required for the policy of each storage. They are the volumes that can be reused.

--remove-no-retention
    Remove all labels that are not required for the policy of each storage. Useful with --keep-label and/or --erase.

--verbose, -v
    List backups of hosts and disks that are being discarded. Enabled by default.

--quiet, -q
    Opposite of -v.

EXAMPLE

Remove tape labeled DAILY034 and DAILY035 from the DailySet1 configuration.
# amrmtape DailySet1 DAILY034 DAILY035

SEE ALSO

amanda(8), amadmin(8)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHORS

Adrian T. Filipi-Martin <atf3r@cs.virginia.edu>

Stefan G. Weichinger <sgw@amanda.org>